<?php

/* Crer Framework - Media Uploader
-------------------------------------------------------------- */

if ( is_admin() ) {
	// Load additional css and js for image uploads on the Options Framework page
	$creer_page= 'toplevel_page_creer-framework';
	add_action( "admin_print_styles-$creer_page", 'creerframework_mlu_css', 0 );
	add_action( "admin_print_scripts-$creer_page", 'creerframework_mlu_js', 0 );	
}

if ( ! function_exists( 'creerframework_mlu_init' ) ) :

function creerframework_mlu_init () {
	register_post_type( 'creerframework', array(
		'labels' => array(
			'name' => __( 'Theme Options Media', 'creerframework' ),
		),
		'public' => true,
		'show_ui' => false,
		'capability_type' => 'post',
		'hierarchical' => false,
		'rewrite' => false,
		'supports' => array( 'title', 'editor' ), 
		'query_var' => false,
		'can_export' => true,
		'show_in_nav_menus' => false,
		'public' => false
	) );
}

endif;

if ( ! function_exists( 'creerframework_mlu_css' ) ) :

function creerframework_mlu_css () {
	$_html = '';
	$_html .= '<link rel="stylesheet" href="' . site_url() . '/' . WPINC . '/js/thickbox/thickbox.css" type="text/css" media="screen" />' . "\n";
	$_html .= '<script type="text/javascript">
	var tb_pathToImage = "' . site_url() . '/' . WPINC . '/js/thickbox/loadingAnimation.gif";
    var tb_closeImage = "' . site_url() . '/' . WPINC . '/js/thickbox/tb-close.png";
    </script>' . "\n";
    echo $_html;
}

endif;

if ( ! function_exists( 'creerframework_mlu_js' ) ) :

function creerframework_mlu_js () {
	// Registers custom scripts for the Media Library AJAX uploader.
	wp_register_script( 'creer-medialibrary-uploader', CREER_FRAMEWORK_DIRECTORY .'js/medialibrary-uploader.js', array( 'jquery', 'thickbox' ) );
	wp_enqueue_script( 'creer-medialibrary-uploader' );
	wp_enqueue_script( 'media-upload' );
}

endif;

if ( ! function_exists( 'creerframework_medialibrary_uploader' ) ) :

function creerframework_medialibrary_uploader( $_id, $_value, $_mode = 'full', $_desc = '', $_postid = 0, $_name = '') {

	$creerframework_settings = get_option('creerframework');
	
	// Gets the unique option id
	$option_name = $creerframework_settings['id'];

	$output = '';
	$id = '';
	$class = '';
	$int = '';
	$value = '';
	$name = '';
	
	$id = strip_tags( strtolower( $_id ) );
	// Change for each field, using a "silent" post. If no post is present, one will be created.
	$int = creerframework_mlu_get_silentpost( $id );
	
	// If a value is passed and we don't have a stored value, use the value that's passed through.
	if ( $_value != '' && $value == '' ) {
		$value = $_value;
	}
	
	if ($_name != '') {
		$name = $option_name.'['.$id.']['.$_name.']';
	}
	else {
		$name = $option_name.'['.$id.']';
	}
	
	if ( $value ) { $class = ' has-file'; }
	$output .= '<input id="' . $id . '" class="upload' . $class . '" type="text" name="'.$name.'" value="' . $value . '" />' . "\n";
	$output .= '<input id="upload_' . $id . '" class="upload_button button" type="button" value="' . __( 'Upload', 'creerframework' ) . '" rel="' . $int . '" />' . "\n";
	
	if ( $_desc != '' ) {
		$output .= '<span class="creer_metabox_desc">' . $_desc . '</span>' . "\n";
	}
	
	$output .= '<div class="screenshot" id="' . $id . '_image">' . "\n";
	
	if ( $value != '' ) { 
		$remove = '<a href="javascript:(void);" class="mlu_remove button">Remove</a>';
		$image = preg_match( '/(^.*\.jpg|jpeg|png|gif|ico*)/i', $value );
		if ( $image ) {
			$output .= '<img src="' . $value . '" alt="" />'.$remove.'';
		} else {
			$parts = explode( "/", $value );
			for( $i = 0; $i < sizecreer( $parts ); ++$i ) {
				$title = $parts[$i];
			}

			// No output preview if it's not an image.			
			$output .= '';
		
			// Standard generic output if it's not an image.	
			$title = __( 'View File', 'options_framework_theme' );
			$output .= '<div class="no_image"><span class="file_link"><a href="' . $value . '" target="_blank" rel="external">'.$title.'</a></span>' . $remove . '</div>';
		}	
	}
	$output .= '</div>' . "\n";
	return $output;
}

endif;

if ( ! function_exists( 'creerframework_mlu_get_silentpost' ) ) :

function creerframework_mlu_get_silentpost ( $_token ) {

	global $wpdb;
	$_id = 0;

	// Check if the token is valid against a whitelist.
	// $_whitelist = array( 'creer_logo', 'creer_custom_favicon', 'creer_ad_top_image' );
	// Sanitise the token.
	
	$_token = strtolower( str_replace( ' ', '_', $_token ) );
	
	// if ( in_array( $_token, $_whitelist ) ) {
	if ( $_token ) {
		
		// Tell the function what to look for in a post.
		
		$_args = array( 'post_type' => 'creerframework', 'post_name' => 'creer-' . $_token, 'post_status' => 'draft', 'comment_status' => 'closed', 'ping_status' => 'closed' );
		
		// Look in the database for a "silent" post that meets our criteria.
		$query = 'SELECT ID FROM ' . $wpdb->posts . ' WHERE post_parent = 0';
		foreach ( $_args as $k => $v ) {
			$query .= ' AND ' . $k . ' = "' . $v . '"';
		} // End FOREACH Loop
		
		$query .= ' LIMIT 1';
		$_posts = $wpdb->get_row( $query );
		
		// If we've got a post, loop through and get it's ID.
		if ( count( $_posts ) ) {
			$_id = $_posts->ID;
		} else {
		
			// If no post is present, insert one.
			// Prepare some additional data to go with the post insertion.
			$_words = explode( '_', $_token );
			$_title = join( ' ', $_words );
			$_title = ucwords( $_title );
			$_post_data = array( 'post_title' => $_title );
			$_post_data = array_merge( $_post_data, $_args );
			$_id = wp_insert_post( $_post_data );
		}	
	}
	return $_id;
}
endif;

if ( ! function_exists( 'creerframework_mlu_insidepopup' ) ) :
function creerframework_mlu_insidepopup () {
	if ( isset( $_REQUEST['is_creerframework'] ) && $_REQUEST['is_creerframework'] == 'yes' ) {
	
		add_action( 'admin_head', 'creerframework_mlu_js_popup' );
		add_filter( 'media_upload_tabs', 'creerframework_mlu_modify_tabs' );
	}
}

endif;

if ( ! function_exists( 'creerframework_mlu_js_popup' ) ) :

function creerframework_mlu_js_popup () {

	$_creer_title = $_REQUEST['creer_title'];
	if ( ! $_creer_title ) { $_creer_title = 'file'; } // End IF Statement
	?>
	<script type="text/javascript">
	jQuery(function($) {
	
		jQuery.noConflict();
		
		// Change the title creer each tab to use the custom title text instead creer "Media File".
		$( 'h3.media-title' ).each ( function () {
			var current_title = $( this ).html();
			var new_title = current_title.replace( 'media file', '<?php echo $_creer_title; ?>' );
			$( this ).html( new_title );
		
		} );
		
		// Change the text creer the "Insert into Post" buttons to read "Use this File".
		$( '.savesend input.button[value*="Insert into Post"], .media-item #go_button' ).attr( 'value', 'Use this File' );
		
		// Hide the "Insert Gallery" settings box on the "Gallery" tab.
		$( 'div#gallery-settings' ).hide();
		
		// Preserve the "is_creerframework" parameter on the "delete" confirmation button.
		$( '.savesend a.del-link' ).click ( function () {
			var continueButton = $( this ).next( '.del-attachment' ).children( 'a.button[id*="del"]' );
			var continueHref = continueButton.attr( 'href' );
			continueHref = continueHref + '&is_creerframework=yes';
			continueButton.attr( 'href', continueHref );
		});
	});
	</script>
<?php
}

endif;

if ( ! function_exists( 'creerframework_mlu_modify_tabs' ) ) :

function creerframework_mlu_modify_tabs ( $tabs ) {
	$tabs['gallery'] = str_replace( __( 'Gallery', 'creerframework' ), __( 'Previously Uploaded', 'options_framework_theme' ), $tabs['gallery'] );
	return $tabs;
}

endif;