<?php
	
	// Setup location of WordPress
	$absolute_path = __FILE__;
	$path_to_file = explode( 'wp-content', $absolute_path );
	$path_to_wp = $path_to_file[0];

	// Access WordPress
	require_once( $path_to_wp.'/wp-load.php' );

?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<title><?php _e("Button Shortcode","creerthemes"); ?></title>
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
	<script language="javascript" type="text/javascript" src="<?php echo includes_url() ?>js/tinymce/utils/form_utils.js"></script>
	<script language="javascript" type="text/javascript" src="<?php echo includes_url(); ?>js/tinymce/tiny_mce_popup.js"></script>	
	<script language="javascript" type="text/javascript">
	function init() {
		
		tinyMCEPopup.resizeToInnerSize();
		
	}
	
	function insertShortcode() {
		
		var output;
	
		var button_url = document.getElementById('button_url').value;
		var button_text = document.getElementById('button_text').value;
		var button_color = document.getElementById('button_color').value;
		var button_text_color = document.getElementById('button_text_color').value;
		var button_size = document.getElementById('button_size').value;
		var button_margin = document.getElementById('button_margin').value;
		
		if ( button_color != '') {
			button_color = 'color="#'+button_color+'"';
		}
		
		if ( button_text_color != '') {
			button_text_color = 'textcolor="#'+button_text_color+'"';
		}
		
		if ( button_size === 'large' ) {
			button_size = 'size="large"';
		} else if ( button_size === 'medium' ) {
			button_size = 'size="medium"'; 	
		} else {
			button_size = '';
		}
		
		if ( button_margin != '' ) {
			button_margin = 'margin="'+button_margin+'"';
		}
		
		if (button_text != '' ){
			
			output = '[button link="'+button_url+'" '+button_color+' '+button_text_color+' '+button_size+' '+button_margin+']'+button_text+'[/button] ';
		
		} else {
			
			alert('Please enter the text to appear on your button.');
			
		}

		if(window.tinyMCE) {
			window.tinyMCE.execInstanceCommand('content', 'mceInsertContent', false, output);
			tinyMCEPopup.editor.execCommand('mceRepaint');
			tinyMCEPopup.close();
		}
		
		return;
	}
	</script>
	<base target="_self" />
    
	<style type="text/css">	
		label span { color: #f00; }	
    </style>
    
</head>
<body onload="init();">

	<form name="creer_button_shortcode" action="#">

		<div class="panel_wrapper">
			
			<fieldset style="padding-left: 15px;">
			
				<legend><?php _e("Button URL","creerthemes"); ?></legend>
				
				<br />
			
				<table border="0" cellpadding="4" cellspacing="0">
				
					<tr>					
						<td nowrap="nowrap"><label for="button_style"><?php _e("URL","creerthemes"); ?>:</label></td>						
						<td>							
							<input type="text" name="button_url" id="button_url" style="width: 230px;"></input>						
						</td>						
					</tr>
					  
				  </table>
				  
				<em style="font-size: 10px; padding: 5px 0 0 45px;"><?php _e("Enter the URL the button will link to","creerthemes"); ?></em><br />
				<br />
			
			</fieldset>
			
			<br />
			
			<fieldset style="padding-left: 15px;">
			
				<legend><?php _e("Text","creerthemes"); ?></legend>
				
				<br />
			
				<table border="0" cellpadding="4" cellspacing="0">				  
					<tr>				 
						<td nowrap="nowrap"><label for="button_text"><span>*</span><?php _e("Text","creerthemes"); ?>:</label></td>					
						<td>					
							<input type="text" name="button_text" id="button_text" style="width: 230px;"></input>					
						</td>					
					</tr>				  
				</table>
			
				<em style="font-size: 10px; padding: 5px 0 0 45px;"><?php _e("Enter the text to be displayed on the button","creerthemes"); ?></em><br />
				<br />
			
			</fieldset>
			
			<br />
			
			<fieldset style="padding-left: 15px;">
			
				<legend><?php _e("Styling","creerthemes"); ?></legend>
				
				<br />
			
				<table border="0" cellpadding="4" cellspacing="0">				  
					<tr>				 
						<td nowrap="nowrap"><label for="button_color"><?php _e("Background color","creerthemes"); ?>: #</label></td>					
						<td>					
							<input type="text" name="button_color" id="button_color" style="width: 230px;"></input>					
						</td>					
					</tr>				  
				</table>
			
				<em style="font-size: 10px; padding: 5px 0 0 45px;"><?php _e("Enter the hex value for the background color of this button. This value will overwrite the default button background color","creerthemes"); ?></em><br />
				<br />
				
				<table border="0" cellpadding="4" cellspacing="0">				  
					<tr>				 
						<td nowrap="nowrap"><label for="button_text_color"><?php _e("Text color","creerthemes"); ?>: #</label></td>					
						<td>					
							<input type="text" name="button_text_color" id="button_text_color" style="width: 230px;"></input>					
						</td>					
					</tr>				  
				</table>
			
				<em style="font-size: 10px; padding: 5px 0 0 45px;"><?php _e("Enter the hex value for the text color of this button. This value will overwrite the default button text color","creerthemes"); ?></em><br />
				<br />
				
				<table border="0" cellpadding="4" cellspacing="0">				  
					<tr>					 
						<td nowrap="nowrap"><label for="button_size"><?php _e("Size","creerthemes"); ?>:</label></td>
						<td>						
							<select name="button_size" id="button_size" style="width: 210px">
								<option value="normal"><?php _e("Small","creerthemes"); ?></option>
								<option value="medium"><?php _e("Medium","creerthemes"); ?></option>
								<option value="large"><?php _e("Large","creerthemes"); ?></option>
							</select>						
						</td>
					</tr>			  
				</table>
			
				<em style="font-size: 10px; padding: 5px 0 0 45px;"><?php _e("Select button size","creerthemes"); ?></em><br />
				<br />
				
				<table border="0" cellpadding="4" cellspacing="0">				  
					<tr>				 
						<td nowrap="nowrap"><label for="button_margin"><?php _e("Top Margin","creerthemes"); ?>: </label></td>					
						<td>					
							<input type="text" name="button_margin" id="button_margin" style="width: 230px;" value="20"></input>					
						</td>					
					</tr>				  
				</table>
			
				<em style="font-size: 10px; padding: 5px 0 0 45px;"><?php _e("Enter the size (px) of the top margin","creerthemes"); ?></em><br />
				<br />
				
			</fieldset>
			
		</div>

		<div class="mceActionPanel">
			<input type="button" id="cancel" name="cancel" value="Close" style="float: left" onclick="tinyMCEPopup.close();" />
			<input type="submit" id="insert" name="insert" value="Insert" style="float: right" onclick="insertShortcode();" />
		</div>
	
	</form>
	
</body>
</html>
<?php

?>
