<?php
	
	// Setup location of WordPress
	$absolute_path = __FILE__;
	$path_to_file = explode( 'wp-content', $absolute_path );
	$path_to_wp = $path_to_file[0];

	// Access WordPress
	require_once( $path_to_wp.'/wp-load.php' );

?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<title><?php _e("Column Shortcodes","creerthemes"); ?></title>
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
	<script language="javascript" type="text/javascript" src="<?php echo includes_url() ?>js/tinymce/utils/form_utils.js"></script>
	<script language="javascript" type="text/javascript" src="<?php echo includes_url(); ?>js/tinymce/tiny_mce_popup.js"></script>	
	<script language="javascript" type="text/javascript">
	function init() {
		
		tinyMCEPopup.resizeToInnerSize();
		
	}
	
	function insertShortcode() {
		
		var output;
		var width;
		
		var column_width = document.getElementById('column_width').value;
		var column_last = document.getElementById('column_last').checked;
			
		if ( column_width == '12' ){
			
			width = 'half';
			
		} else if ( column_width == '13' ){
			
			width = 'third';
		
		} else if ( column_width == '14' ){
			
			width = 'quarter';
		
		} else if ( column_width == '15' ){
			
			width = 'fifth';

		} else if ( column_width == '16' ){
			
			width = 'sixth';
		
		} else if ( column_width == '23' ){
			
			width = 'two_thirds';			
		
		} else if ( column_width == '25' ){
			
			width = 'two_fifths';			
			
		} else if ( column_width == '34' ){
			
			width = 'three_quarters';

		} else if ( column_width == '35' ){
			
			width = 'three_fifths';

		} else if ( column_width == '45' ){
			
			width = 'four_fifths';	
				
		} else if ( column_width == '56' ){
			
			width = 'five_sixths';

		}
		
		if ( column_last == true ) {
		
			output = '['+width+' end="true"] *your content goes here* [/'+width+']';
			
		} else {
		
			output = '['+width+'] *your content goes here* [/'+width+']';
		}	
		
		if(window.tinyMCE) {
			window.tinyMCE.execInstanceCommand('content', 'mceInsertContent', false, output);
			tinyMCEPopup.editor.execCommand('mceRepaint');
			tinyMCEPopup.close();
		}
		
		return;
	}
	</script>
	<base target="_self" />
    
	<style type="text/css">	
		label span { color: #F00; }	
    </style>
    
</head>
<body onload="init();">

	<form name="creer_columns_shortcode" action="#">

		<div class="panel_wrapper">	
	
			<fieldset style="padding-left: 15px;">
			
				<legend><?php _e("Column Width","creerthemes"); ?></legend>
				
				<br />
			
				<table border="0" cellpadding="4" cellspacing="0">				
					<tr>					 
						<td nowrap="nowrap"><label for="column_width"><?php _e("Width","creerthemes"); ?>:</label></td>						
						<td>							
							<select name="column_width" id="column_width" style="width: 210px;">                        
								<option value="12"><?php _e("One Half","creerthemes"); ?></option>
								<option value="13"><?php _e("One Third","creerthemes"); ?></option>
								<option value="23"><?php _e("Two Thirds","creerthemes"); ?></option>
								<option value="14"><?php _e("One Quarter","creerthemes"); ?></option>
								<option value="34"><?php _e("Three Quarters","creerthemes"); ?></option>
								<option value="15"><?php _e("One Fifth","creerthemes"); ?></option>
								<option value="25"><?php _e("Two Fifths","creerthemes"); ?></option>
								<option value="35"><?php _e("Three Fifths","creerthemes"); ?></option>
								<option value="45"><?php _e("Four Fifths","creerthemes"); ?></option>
								<option value="16"><?php _e("One Sixth","creerthemes"); ?></option>
								<option value="56"><?php _e("Five Sixths","creerthemes"); ?></option>
							</select>						
						</td>						
					</tr>					  
				</table>
				  
				<em style="font-size: 10px; padding: 5px 0 0 45px;"><?php _e("Choose the width of this column","creerthemes"); ?></em><br/>
				<br/>
				
			</fieldset>
			
			<br />
			
			<fieldset style="padding-left: 15px;">
			
				<legend><?php _e("Options","creerthemes"); ?></legend>
				
				<br />
			
				<table border="0" cellpadding="4" cellspacing="0">				  
					<tr>
						<td nowrap="nowrap"><label for="column_last"><?php _e("This is the last column in this row","creerthemes"); ?>:</label></td>
						<td>
							<input type="checkbox" name="column_last" id="column_last" value="checked" style="width: 50px;"></input>					
						</td>					
					</tr>					  
				</table>
			 
				<em style="font-size: 10px; padding: 5px 0 0"><?php _e("Select the option above if this is the last column in the row. This will remove the columns right margin","creerthemes"); ?></em><br/>
				<br/>
			
			</fieldset>
			
		</div>

		<div class="mceActionPanel">
			<input type="button" id="cancel" name="cancel" value="Close" style="float: left" onclick="tinyMCEPopup.close();" />
			<input type="submit" id="insert" name="insert" value="Insert" style="float: right" onclick="insertShortcode();" />
		</div>
	
	</form>
	
</body>
</html>
<?php

?>
