<?php

/* Crer Meta Box Config
-------------------------------------------------------------- */

class creer_Meta_Box_Taxonomy extends creer_Meta_Box {
	
	function add_missed_values() {
		parent::add_missed_values();
		
		foreach ($this->_meta_box['fields'] as $key => $field) {
			if ('taxonomy' == $field['type'] && 'checkbox_list' == $field['options']['type']) {
				$this->_meta_box['fields'][$key]['multiple'] = true;
			}
		}
	}
	
	function show_field_taxonomy($field, $meta) {
		global $post;
		
		if (!is_array($meta)) $meta = (array) $meta;
		
		$this->show_field_begin($field, $meta);
		
		$options = $field['options'];
		$terms = get_terms($options['taxonomy'], isset($options['args']) ? $options['args'] : '');
		
		 if (isset($options['type']) && 'checkbox_list' == $options['type']) {
			foreach ($terms as $term) {
				echo "<input type='checkbox' name='{$field['id']}[]' value='$term->slug'" . checked(in_array($term->slug, $meta), true, false) . " /> $term->name<br/>";
			}
		}
		else {
			echo "<select name='{$field['id']}" . ($field['multiple'] ? "[]' multiple='multiple' style='height:auto'" : "'") . ">";
		
			foreach ($terms as $term) {
				echo "<option value='$term->slug'" . selected(in_array($term->slug, $meta), true, false) . ">$term->name</option>";
			}
			echo "</select>";
		}
		
		$this->show_field_end($field, $meta);
	}
}

$post_id = isset($_GET['post']) ? $_GET['post'] : (isset($_POST['post_ID']) ? $_POST['post_ID'] : NULL) ;
if(get_post_meta($post_id,'_wp_page_template',TRUE)){
	$template_file = get_post_meta($post_id,'_wp_page_template',TRUE);
}else{
	$template_file = '';
}


$meta_boxes = array();

/* Post Formats */

// AUDIO
$meta_boxes[] = array(
	'id' => 'audio-options-box',
	'title' => __('Cr&#233;er - Audio Settings', 'creerthemes'),
	'pages' => array('post'),
	'context' => 'normal',
	'priority' => 'high',
	'fields' => array(
		
		array(
			"name" => __("Audio URL", 'creerthemes'),
			"desc" => __("Enter the direct URL to .mp3 audio file.", 'creerthemes'),
			"id" => 'creer_audio_mp3',
			"type" => "text"
		),
		
		array(
			"name" => __("SoundCloud Code", 'creerthemes'),
			"desc" => __("Paste your SoundCloud code here.", 'creerthemes'),
			"id" => 'creer_sc_embed',
			"type" => "textarea"
		)	
	
	)	
);


// LINK
$meta_boxes[] = array(
	'id' => 'link-options-box',
	'title' => __('Cr&#233;er - Link Settings', 'creerthemes'),
	'pages' => array('post'),
	'context' => 'normal',
	'priority' => 'high',
	'fields' => array(
		
		array(
			"name" => __("Link URL", 'creerthemes'),
			"desc" => __("Input the url e.g. http://www.creerthemes.com.", 'creerthemes'),
			"id" => 'creer_link_url',
			"type" => "text"
		)	
	
	)	
);


// QUOTE
$meta_boxes[] = array(
	'id' => 'quote-options-box',
	'title' => __('Cr&#233;er - Quote Settings', 'creerthemes'),
	'pages' => array('post'),
	'context' => 'normal',
	'priority' => 'high',
	'fields' => array(
		
		array(
			"name" => __("Quote Text", 'creerthemes'),
			"desc" => __("Enter the quote for this post.", 'creerthemes'),
			"id" => 'creer_quote',
			"type" => "textarea"
		),
		
		array(
			"name" => __("Quote Source", 'creerthemes'),
			"desc" => __("Enter the URL source of this quote.", 'creerthemes'),
			"id" => 'creer_quote_url',
			"type" => "text"
		)
		
	)	
);


// VIDEO
$meta_boxes[] = array(
	'id' => 'video-options-box',
	'title' => __('Cr&#233;er - Video Settings', 'creerthemes'),
	'pages' => array('post'),
	'context' => 'normal',
	'priority' => 'high',
	'fields' => array(
		
		array(
			"name" => __("Embed Code", 'creerthemes'),
			"desc" => __("Paste your embed code here.", 'creerthemes'),
			"id" => 'creer_embed',
			"type" => "textarea"
		)		

	)
);

foreach ($meta_boxes as $meta_box) {
	$my_box = new creer_Meta_Box_Taxonomy($meta_box);
}

class creer_Meta_Box_Validate {

}

?>