<?php

/* 
 * Note: Options Typography is a child theme of Options Framework Theme
 * So all the functions from the parent theme are also inherited
 */
 
 /**
 * Returns an array of system fonts
 * Feel free to edit this, update the font fallbacks, etc.
 */

function creer_typography_get_os_fonts() {
	// OS Font Defaults
	$os_faces = array(
		'Arial, sans-serif' => 'Arial*',
		'"Avant Garde", sans-serif' => 'Avant Garde*',
		'Cambria, Georgia, serif' => 'Cambria*',
		'Copse, sans-serif' => 'Copse*',
		'Garamond, "Hoefler Text", Times New Roman, Times, serif' => 'Garamond*',
		'Georgia, serif' => 'Georgia*',
		'"Helvetica Neue", Helvetica, sans-serif' => 'Helvetica Neue*',
		'Tahoma, Geneva, sans-serif' => 'Tahoma*'
	);
	return $os_faces;
}

/**
 * Returns a select list of Google fonts
 * Feel free to edit this, update the fallbacks, etc.
 */

function creer_typography_get_google_fonts() {
	// Google Font Defaults
	$google_faces = array(
		'ABeeZee, sans-serif' => 'ABeeZee',
		'Abel, sans-serif' => 'Abel',
		'Abril Fatface, cursive' => 'Abril Fatface',
		'Aclonica, sans-serif' => 'Aclonica',
		'Acme, sans-serif' => 'Acme',
		'Actor, sans-serif' => 'Actor',
		'Adamina, serif' => 'Adamina',
		'Advent Pro, sans-serif' => 'Advent Pro',
		'Aguafina Script, cursive' => 'Aguafina Script',
		'Akronim, cursive' => 'Akronim',
		'Aladin, cursive' => 'Aladin',
		'Aldrich, sans-serif' => 'Aldrich',
		'Alegreya, serif' => 'Alegreya',
		'Alegreya SC, serif' => 'Alegreya SC',
		'Alex Brush, cursive' => 'Alex Brush',
		'Alfa Slab One, cursive' => 'Alfa Slab One',
		'Alice, serif' => 'Alice',
		'Alike, serif' => 'Alike',
		'Alike Angular, serif' => 'Alike Angular',
		'Allan, cursive' => 'Allan',
		'Allerta, sans-serif' => 'Allerta',
		'Allerta Stencil, sans-serif' => 'Allerta Stencil',
		'Allura, cursive' => 'Allura',
		'Almendra, serif' => 'Almendra',
		'Almendra Display, cursive' => 'Almendra Display',
		'Almendra SC, serif' => 'Almendra SC',
		'Amarante, cursive' => 'Amarante',
		'Amaranth, sans-serif' => 'Amaranth',
		'Amatic SC, cursive' => 'Amatic SC',
		'Amethysta, serif' => 'Amethysta',
		'Anaheim, sans-serif' => 'Anaheim',
		'Andada, serif' => 'Andada',
		'Andika, sans-serif' => 'Andika',
		'Annie Use Your Telescope, cursive' => 'Annie Use Your Telescope',
		'Anonymous Pro, sans-serif' => 'Anonymous Pro',
		'Antic, sans-serif' => 'Antic',
		'Antic Didone, serif' => 'Antic Didone',
		'Antic Slab, serif' => 'Antic Slab',
		'Anton, sans-serif' => 'Anton',
		'Arapey, serif' => 'Arapey',
		'Arbutus, serif' => 'Arbutus',
		'Arbutus Slab, serif' => 'Arbutus Slab',
		'Architects Daughter, cursive' => 'Architects Daughter',
		'Archivo Black, sans-serif' => 'Archivo Black',
		'Archivo Narrow, sans-serif' => 'Archivo Narrow',
		'Arimo, sans-serif' => 'Arimo',
		'Arizonia, cursive' => 'Arizonia',
		'Armata, sans-serif' => 'Armata',
		'Artifika, serif' => 'Artifika',
		'Arvo, serif' => 'Arvo',
		'Asap, sans-serif' => 'Asap',
		'Asset, cursive' => 'Asset',
		'Astloch, cursive' => 'Astloch',
		'Asul, sans-serif' => 'Asul',
		'Atomic Age, cursive' => 'Atomic Age',
		'Aubrey, cursive' => 'Aubrey',
		'Audiowide, cursive' => 'Audiowide',
		'Autour One, cursive' => 'Autour One',
		'Average, serif' => 'Average',
		'Average Sans, sans-serif' => 'Average Sans',
		'Averia Gruesa Libre, cursive' => 'Averia Gruesa Libre',
		'Averia Libre, cursive' => 'Averia Libre',
		'Averia Sans Libre, cursive' => 'Averia Sans Libre',
		'Averia Serif Libre, cursive' => 'Averia Serif Libre',
		'Bad Script, cursive' => 'Bad Script',
		'Balthazar, serif' => 'Balthazar',
		'Bangers, cursive' => 'Bangers',
		'Basic, sans-serif' => 'Basic',
		'Baumans, cursive' => 'Baumans',
		'Belgrano, serif' => 'Belgrano',
		'Belleza. sans-serif' => 'Belleza',
		'BenchNine, sans-serif' => 'BenchNine',
		'Bentham, serif' => 'Bentham',
		'Berkshire Swash, cursive' => 'Berkshire Swash',
		'Bevan, cursive' => 'Berkshire Swash',
		'Bigelow Rules, cursive' => 'Bigelow Rules',
		'Bigshot One, cursive' => 'Bigshot One',
		'Bilbo, cursive' => 'Bilbo',
		'Bilbo Swash Caps, cursive' => 'Bilbo Swash Caps',
		'Bitter, serif' => 'Bitter',
		'Black Ops One' => 'Black Ops One',
		'Bonbon, cursive' => 'Bonbon',
		'Boogaloo, cursive' => 'Boogaloo',
		'Bowlby One, cursive' => 'Bowlby One',
		'Bowlby One SC, cursive' => 'Bowlby One SC',
		'Brawler, serif' => 'Brawler',
		'Bree Serif, serif' => 'Bree Serif',
		'Bubblegum Sans, cursive' => 'Bubblegum Sans',
		'Bubbler One, sans-serif' => 'Bubbler One',
		'Buda, cursive' => 'Buda',
		'Buenard, serif' => 'Buenard',
		'Butcherman, cursive' => 'Butcherman',
		'Butterfly Kids, cursive' => 'Butterfly Kids',
		'Cabin, sans-serif' => 'Cabin',
		'Cabin Condensed, sans-serif' => 'Cabin Condensed',
		'Cabin Sketch, cursive' => 'Cabin Sketch',
		'Caesar Dressing, cursive' => 'Caesar Dressing',
		'Cagliostro, sans-serif' => 'Cagliostro',
		'Calligraffitti, cursive' => 'Calligraffitti',
		'Cambo, serif' => 'Cambo',
		'Candal, sans-serif' => 'Candal',
		'Cantarell, sans-serif' => 'Cantarell',
		'Cantata One, serif' => 'Cantata One',
		'Cantora One, sans-serif' => 'Cantora One',
		'Capriola, sans-serif' => 'Capriola',
		'Cardo, serif' => 'Cardo',
		'Carme, sans-serif' => 'Carme',
		'Carrois Gothic, sans-serif' => 'Carrois Gothic',
		'Carrois Gothic SC, sans-serif' => 'Carrois Gothic SC',
		'Carter One, cursive' => 'Carter One',
		'Caudex, serif' => 'Caudex',
		'Cedarville Cursive, cursive' => 'Cedarville Cursive',
		'Ceviche One, cursive' => 'Ceviche One',
		'Changa One, cursive' => 'Changa One',
		'Chango, cursive' => 'Chango',
		'Chau Philomene One, sans-serif' => 'Chau Philomene One',
		'Chela One, cursive' => 'Chela One',
		'Chelsea Market, cursive' => 'Chelsea Market',
		'Cherry Cream Soda, cursive' => 'Cherry Cream Soda',
		'Cherry Swash, cursive' => 'Cherry Swash',
		'Chewy, cursive' => 'Chewy',
		'Chicle, cursive' => 'Chicle',
		'Chivo, sans-serif' => 'Chivo',
		'Cinzel, serif' => 'Cinzel',
		'Cinzel Decorative, cursive' => 'Cinzel Decorative',
		'Clicker Script, cursive' => 'Clicker Script',
		'Coda, cursive' => 'Coda',
		'Coda Caption, sans-serif' => 'Coda Caption',
		'Codystar, cursive' => 'Codystar',
		'Combo, cursive' => 'Combo',
		'Comfortaa, cursive' => 'Comfortaa',
		'Coming Soon, cursive' => 'Coming Soon',
		'Concert One, cursive' => 'Concert One',
		'Condiment, cursive' => 'Condiment',
		'Contrail One, cursive' => 'Contrail One',
		'Convergence, sans-serif' => 'Convergence',
		'Cookie, cursive' => 'Cookie',
		'Copse, sans-serif' => 'Copse',
		'Corben, cursive' => 'Corben',
		'Courgette, Courgette' => 'Courgette',
		'Cousine, sans-serif' => 'Cousine',
		'Coustard, serif' => 'Coustard',
		'Covered By Your Grace, cursive' => 'Covered By Your Grace',
		'Crafty Girls, cursive' => 'Crafty Girls',
		'Creepster, cursive' => 'Creepster',
		'Crete Round, serif' => 'Crete Round',
		'Crimson Text, serif' => 'Crimson Text',
		'Croissant One, cursive' => 'Croissant One',
		'Crushed, cursive' => 'Crushed',
		'Cuprum, sans-serif' => 'Cuprum',
		'Cutive, serif' => 'Cutive',
		'Cutive Mono, serif' => 'Cutive Mono',
		'Damion, cursive' => 'Damion',
		'Dancing Script, cursive' => 'Dancing Script',
		'Dawning of a New Day, cursive' => 'Dawning of a New Day',
		'Days One, sans-serif' => 'Days One',
		'Delius, cursive' => 'Delius',
		'Delius Swash Caps, cursive' => 'Delius Swash Caps',
		'Delius Unicase, cursive' => 'Delius Unicase',
		'Della Respira, serif' => 'Della Respira',
		'Denk One, sans-serif' => 'Denk One',
		'Devonshire, cursive' => 'Devonshire',
		'Didact Gothic, sans-serif' => 'Didact Gothic',
		'Diplomata, cursive' => 'Diplomata',
		'Diplomata SC, cursive' => 'Diplomata SC',
		'Domine, serif' => 'Domine',
		'Donegal One, serif' => 'Donegal One',
		'Doppio One, sans-serif' => 'Doppio One',
		'Dorsa, sans-serif' => 'Dorsa',
		'Dosis, sans-serif' => 'Dosis',
		'Dr Sugiyama, cursive' => 'Dr Sugiyama',
		'Droid Sans, sans-serif' => 'Droid Sans',
		'Droid Sans Mono, sans-serif' => 'Droid Sans Mono',
		'Droid Serif, serif' => 'Droid Serif',
		'Duru Sans, sans-serif' => 'Duru Sans',
		'Dynalight, cursive' => 'Dynalight',
		'EB Garamond, serif' => 'EB Garamond',
		'Eagle Lake, cursive' => 'Eagle Lake',
		'Eater, cursive' => 'Eater',
		'Economica, sans-serif' => 'Economica',
		'Electrolize, sans-serif' => 'Electrolize',
		'Elsie, cursive' => 'Elsie',
		'Elsie Swash Caps, cursive' => 'Elsie Swash Caps',
		'Emblema One, cursive' => 'Emblema One',
		'Emilys Candy, cursive' => 'Emilys Candy',
		'Engagement, cursive' => 'Engagement',
		'Englebert, sans-serif' => 'Englebert',
		'Enriqueta, serif' => 'Enriqueta',
		'Erica One, cursive' => 'Erica One',
		'Esteban, serif' => 'Esteban',
		'Euphoria Script, cursive' => 'Euphoria Script',
		'Ewert, cursive' => 'Ewert',
		'Exo, sans-serif' => 'Exo',
		'Expletus Sans, cursive' => 'Expletus Sans',
		'Fanwood Text, serif' => 'Fanwood Text',
		'Fascinate, cursive' => 'Fascinate',
		'Fascinate Inline, cursive' => 'Fascinate Inline',
		'Faster One, cursive' => 'Faster One',
		'Federant, cursive' => 'Federant',
		'Federo, sans-serif' => 'Federo',
		'Felipa, cursive' => 'Felipa',
		'Fenix, serif' => 'Fenix',
		'Finger Paint, cursive' => 'Finger Paint',
		'Fjalla One, sans-serif' => 'Fjalla One',
		'Fjord One, serif' => 'Fjord One',
		'Flamenco, cursive' => 'Flamenco',
		'Flavors, cursive' => 'Flavors',
		'Fondamento, cursive' => 'Fondamento',
		'Fontdiner Swanky, cursive' => 'Fontdiner Swanky',
		'Forum, cursive' => 'Forum',
		'Francois One, sans-serif' => 'Francois One',
		'Freckle Face, cursive' => 'Freckle Face',
		'Fredericka the Great, cursive' => 'Fredericka the Great',
		'Fredoka One, cursive' => 'Fredoka One',
		'Fresca, sans-serif' => 'Fresca',
		'Frijole, cursive' => 'Frijole',
		'Fugaz One, cursive' => 'Fugaz One',
		'Gafata, sans-serif' => 'Gafata',
		'Galdeano, sans-serif' => 'Galdeano',
		'Galindo, cursive' => 'Galindo',
		'Gentium Basic, serif' => 'Gentium Basic',
		'Gentium Book Basic, serif' => 'Gentium Book Basic',
		'Geo, sans-serif' => 'Geo',
		'Geostar, cursive' => 'Geostar',
		'Geostar Fill, cursive' => 'Geostar Fill',
		'Germania One, cursive' => 'Germania One',
		'Gilda Display, serif' => 'Gilda Display',
		'Give You Glory, cursive' => 'Give You Glory',
		'Glass Antiqua, cursive' => 'Glass Antiqua',
		'Glegoo, serif' => 'Glegoo',
		'Gloria Hallelujah, cursive' => 'Gloria Hallelujah',
		'Goblin One, cursive' => 'Goblin One',
		'Gochi Hand, cursive' => 'Gochi Hand',
		'Gorditas, cursive' => 'Gorditas',
		'Goudy Bookletter 1911, serif' => 'Goudy Bookletter 1911',
		'Graduate, cursive' => 'Graduate',
		'Grand Hotel, cursive' => 'Grand Hotel',
		'Gravitas One, cursive' => 'Gravitas One',
		'Great Vibes, cursive' => 'Great Vibes',
		'Griffy, cursive' => 'Griffy',
		'Gruppo, cursive' => 'Gruppo',
		'Gudea, sans-serif' => 'Gudea',
		'Habibi, serif' => 'Habibi',
		'Hammersmith One, sans-serif' => 'Hammersmith One',
		'Hanalei, cursive' => 'Hanalei',
		'Hanalei Fill, cursive' => 'Hanalei Fill',
		'Handlee, cursive' => 'Handlee',
		'Happy Monkey, cursive' => 'Happy Monkey',
		'Headland One, serif' => 'Headland One',
		'Henny Penny, cursive' => 'Henny Penny',
		'Herr Von Muellerhoff, cursive' => 'Herr Von Muellerhoff',
		'Holtwood One SC, serif' => 'Holtwood One SC',
		'Homemade Apple, cursive' => 'Homemade Apple',
		'Homenaje, sans-serif' => 'Homenaje',
		'IM Fell DW Pica, serif' => 'IM Fell DW Pica',
		'IM Fell DW Pica SC, serif' => 'IM Fell DW Pica SC',
		'IM Fell Double Pica, serif' => 'IM Fell Double Pica',
		'IM Fell Double Pica SC, serif' => 'IM Fell Double Pica SC',
		'IM Fell English, serif' => 'IM Fell English',
		'IM Fell English SC, serif' => 'IM Fell English SC',
		'IM Fell French Canon, serif' => 'IM Fell French Canon',
		'IM Fell French Canon SC, serif' => 'IM Fell French Canon SC',
		'IM Fell Great Primer, serif' => 'IM Fell Great Primer',
		'IM Fell Great Primer SC, serif' => 'IM Fell Great Primer SC',
		'Iceberg, cursive' => 'Iceberg',
		'Iceland, cursive' => 'Iceland',
		'Imprima, sans-serif' => 'Imprima',
		'Inconsolata, sans-serif' => 'Inconsolata',
		'Inder, sans-serif' => 'Inder',
		'Indie Flower, cursive' => 'Indie Flower',
		'Inika, serif' => 'Inika',
		'Irish Grover, cursive' => 'Irish Grover',
		'Istok Web, sans-serif' => 'Istok Web',
		'Italiana, serif' => 'Italiana',
		'Italianno, cursive' => 'Italianno',
		'Jacques Francois, serif' => 'Jacques Francois',
		'Jacques Francois Shadow, cursive' => 'Jacques Francois Shadow',
		'Jim Nightshade, cursive' => 'Jim Nightshade',
		'Jockey One, sans-serif' => 'Jockey One',
		'Jolly Lodger, cursive' => 'Jolly Lodger',
		'Josefin Sans, sans-serif' => 'Josefin Sans',
		'Josefin Slab, serif' => 'Josefin Slab',
		'Joti One, cursive' => 'Joti One',
		'Judson, serif' => 'Judson',
		'Julee, cursive' => 'Julee',
		'Julius Sans One, sans-serif' => 'Julius Sans One',
		'Junge, serif' => 'Junge',
		'Jura, sans-serif' => 'Jura',
		'Just Another Hand, cursive' => 'Just Another Hand',
		'Just Me Again Down Here, cursive' => 'Just Me Again Down Here',
		'Kameron, serif' => 'Kameron',
		'Karla, sans-serif' => 'Karla',
		'Kaushan Script, cursive' => 'Kaushan Script',
		'Keania One, cursive' => 'Keania One',
		'Kelly Slab, cursive' => 'Kelly Slab',
		'Kenia, cursive' => 'Kenia',
		'Kite One, sans-serif' => 'Kite One',
		'Knewave, cursive' => 'Knewave',
		'Kotta One, serif' => 'Kotta One',
		'Kranky, cursive' => 'Kranky',
		'Kreon, serif' => 'Kreon',
		'Kristi, cursive' => 'Kristi',
		'Krona One, sans-serif' => 'Krona One',
		'La Belle Aurore, cursive' => 'La Belle Aurore',
		'Lancelot, cursive' => 'Lancelot',
		'Lato, sans-serif' => 'Lato',
		'League Script, cursive' => 'League Script',
		'Leckerli One, cursive' => 'Leckerli One',
		'Ledger, serif' => 'Ledger',
		'Lekton, sans-serif' => 'Lekton',
		'Lemon, cursive' => 'Lemon',
		'Libre Baskerville, serif' => 'Libre Baskerville',
		'Life Savers, cursive' => 'Life Savers',
		'Lilita One, cursive' => 'Lilita One',
		'Limelight, cursive' => 'Limelight',
		'Linden Hill, serif' => 'Linden Hill',
		'Lobster, cursive' => 'Lobster',
		'Lobster Two, cursive' => 'Lobster Two',
		'Londrina Outline, cursive' => 'Londrina Outline',
		'Londrina Shadow, cursive' => 'Londrina Shadow',
		'Londrina Sketch, cursive' => 'Londrina Sketch',
		'Londrina Solid, cursive' => 'Londrina Solid',
		'Lora, serif' => 'Lora',
		'Love Ya Like A Sister, cursive' => 'Love Ya Like A Sister',
		'Loved by the King, cursive' => 'Loved by the King',
		'Lovers Quarrel, cursive' => 'Lovers Quarrel',
		'Luckiest Guy, cursive' => 'Luckiest Guy',
		'Lusitana, serif' => 'Lusitana',
		'Lustria, serif' => 'Lustria',
		'Macondo, cursive' => 'Macondo',
		'Macondo Swash Caps, cursive' => 'Macondo Swash Caps',
		'Magra, sans-serif' => 'Magra',
		'Maiden Orange, cursive' => 'Maiden Orange',
		'Mako, sans-serif' => 'Mako',
		'Marcellus, serif' => 'Marcellus',
		'Marcellus SC, serif' => 'Marcellus SC',
		'Marck Script, cursive' => 'Marck Script',
		'Margarine, cursive' => 'Margarine',
		'Marko One, serif' => 'Marko One',
		'Marmelad, sans-serif' => 'Marmelad',
		'Marvel, sans-serif' => 'Marvel',
		'Mate, serif' => 'Mate',
		'Mate SC, serif' => 'Mate SC',
		'Maven Pro, sans-serif' => 'Maven Pro',
		'McLaren, cursive' => 'McLaren',
		'Meddon, cursive' => 'Meddon',
		'MedievalSharp, cursive' => 'MedievalSharp',
		'Medula One, cursive' => 'Medula One',
		'Megrim, cursive' => 'Megrim',
		'Meie Script, cursive' => 'Meie Script',
		'Merienda, cursive' => 'Merienda',
		'Merienda One, cursive' => 'Merienda One',
		'Merriweather, serif' => 'Merriweather',
		'Metal Mania, cursive' => 'Metal Mania',
		'Metamorphous, cursive' => 'Metamorphous',
		'Metrophobic, sans-serif' => 'Metrophobic',
		'Michroma, sans-serif' => 'Michroma',
		'Milonga, cursive' => 'Milonga',
		'Miltonian, cursive' => 'Miltonian',
		'Miltonian Tattoo, cursive' => 'Miltonian Tattoo',
		'Miniver, cursive' => 'Miniver',
		'Miss Fajardose, cursive' => 'Miss Fajardose',
		'Modern Antiqua, cursive' => 'Modern Antiqua',
		'Molengo, sans-serif' => 'Molengo',
		'Molle, cursive' => 'Molle',
		'Monda, sans-serif' => 'Monda',
		'Monofett, cursive' => 'Monofett',
		'Monoton, cursive' => 'Monoton',
		'Monsieur La Doulaise, cursive' => 'Monsieur La Doulaise',
		'Montaga, serif' => 'Montaga',
		'Montez, cursive' => 'Montez',
		'Montserrat, sans-serif' => 'Montserrat',
		'Montserrat Alternates, sans-serif' => 'Montserrat Alternates',
		'Montserrat Subrayada, sans-serif' => 'Montserrat Subrayada',
		'Mountains of Christmas, cursive' => 'Mountains of Christmas',
		'Mouse Memoirs, sans-serif' => 'Mouse Memoirs',
		'Mr Bedfort, cursive' => 'Mr Bedfort',
		'Mr Dafoe, cursive' => 'Mr Dafoe',
		'Mr De Haviland, cursive' => 'Mr De Haviland',
		'Mrs Saint Delafield, cursive' => 'Mrs Saint Delafield',
		'Mrs Sheppards, cursive' => 'Mrs Sheppards',
		'Muli, sans-serif' => 'Muli',
		'Mystery Quest, cursive' => 'Mystery Quest',
		'Neucha, cursive' => 'Neucha',
		'Neuton, serif' => 'Neuton',
		'New Rocker, cursive' => 'New Rocker',
		'News Cycle, sans-serif' => 'News Cycle',
		'Niconne, cursive' => 'Niconne',
		'Nixie One, cursive' => 'Nixie One',
		'Nobile, sans-serif' => 'Nobile',
		'Norican, cursive' => 'Norican',
		'Nosifer, cursive' => 'Nosifer',
		'Nothing You Could Do, cursive' => 'Nothing You Could Do',
		'Noticia Text, serif' => 'Noticia Text',
		'Nova Cut, cursive' => 'Nova Cut',
		'Nova Flat, cursive' => 'Nova Flat',
		'Nova Mono, cursive' => 'Nova Mono',
		'Nova Oval, cursive' => 'Nova Oval',
		'Nova Round, cursive' => 'Nova Round',
		'Nova Script, cursive' => 'Nova Script',
		'Nova Slim, cursive' => 'Nova Slim',
		'Nova Square, cursive' => 'Nova Square',
		'Numans, sans-serif' => 'Numans',
		'Nunito, sans-serif' => 'Nunito',
		'Offside, cursive' => 'Offside',
		'Old Standard TT, serif' => 'Old Standard TT',
		'Oldenburg, cursive' => 'Oldenburg',
		'Oleo Script, cursive' => 'Oleo Script',
		'Oleo Script Swash Caps, cursive' => 'Oleo Script Swash Caps',
		'Open Sans, sans-serif' => 'Open Sans',
		'Open Sans Condensed, sans-serif' => 'Open Sans Condensed',
		'Oranienbaum, serif' => 'Oranienbaum',
		'Orbitron, sans-serif' => 'Orbitron',
		'Oregano, cursive' => 'Oregano',
		'Orienta, sans-serif' => 'Orienta',
		'Original Surfer, cursive' => 'Original Surfer',
		'Oswald, sans-serif' => 'Oswald',
		'Over the Rainbow, cursive' => 'Over the Rainbow',
		'Overlock, cursive' => 'Overlock',
		'Overlock SC, cursive' => 'Overlock SC',
		'Ovo, cursive' => 'Ovo',
		'Oxygen, sans-serif' => 'Oxygen',
		'Oxygen Mono, sans-serif' => 'Oxygen Mono',
		'PT Mono, sans-serif' => 'PT Mono',
		'PT Sans, sans-serif' => 'PT Sans',
		'PT Sans Caption, sans-serif' => 'PT Sans Caption',
		'PT Sans Narrow, sans-serif' => 'PT Sans Narrow',
		'PT Serif, serif' => 'PT Serif',
		'PT Serif Caption, serif' => 'PT Serif Caption',
		'Pacifico, cursive' => 'Pacifico',
		'Paprika, cursive' => 'Paprika',
		'Parisienne, cursive' => 'Parisienne',
		'Passero One, cursive' => 'Passero One',
		'Passion One, cursive' => 'Passion One',
		'Patrick Hand, cursive' => 'Patrick Hand',
		'Patua One, cursive' => 'Patua One',
		'Paytone One, sans-serif' => 'Paytone One',
		'Peralta, cursive' => 'Peralta',
		'Permanent Marker, cursive' => 'Permanent Marker',
		'Petit Formal Script, cursive' => 'Petit Formal Script',
		'Petrona, serif' => 'Petrona',
		'Philosopher, sans-serif' => 'Philosopher',
		'Piedra, cursive' => 'Piedra',
		'Pinyon Script, cursive' => 'Pinyon Script',
		'Pirata One, cursive' => 'Pirata One',
		'Plaster, cursive' => 'Plaster',
		'Play, sans-serif' => 'Play',
		'Playball, cursive' => 'Playball',
		'Playfair Display, serif' => 'Playfair Display',
		'Playfair Display SC, serif' => 'Playfair Display SC',
		'Podkova, serif' => 'Podkova',
		'Poiret One, cursive' => 'Poiret One',
		'Poller One, cursive' => 'Poller One',
		'Poly, serif' => 'Poly',
		'Pompiere, cursive' => 'Pompiere',
		'Pontano Sans, sans-serif' => 'Pontano Sans',
		'Port Lligat Sans, sans-serif' => 'Port Lligat Sans',
		'Port Lligat Slab, serif' => 'Port Lligat Slab',
		'Prata, serif' => 'Prata',
		'Press Start 2P, cursive' => 'Press Start 2P',
		'Princess Sofia, cursive' => 'Princess Sofia',
		'Prociono, serif' => 'Prociono',
		'Prosto One, cursive' => 'Prosto One',
		'Puritan, sans-serif' => 'Puritan',
		'Purple Purse, curse' => 'Purple Purse',
		'Quando, serif' => 'Quando',
		'Quantico, sans-serif' => 'Quantico',
		'Quattrocento, serif' => 'Quattrocento',
		'Quattrocento Sans, sans-serif' => 'Quattrocento Sans',
		'Questrial, sans-serif' => 'Questrial',
		'Quicksand, sans-serif' => 'Quicksand',
		'Quintessential, cursive' => 'Quintessential',
		'Qwigley, cursive' => 'Qwigley',
		'Racing Sans One, cursive' => 'Racing Sans One',
		'Radley, serif' => 'Radley',
		'Raleway, sans-serif' => 'Raleway',
		'Raleway Dots, cursive' => 'Raleway Dots',
		'Rambla, sans-serif' => 'Rambla',
		'Rammetto One, cursive' => 'Rammetto One',
		'Ranchers, cursive' => 'Ranchers',
		'Rancho, cursive' => 'Rancho',
		'Rationale, sans-serif' => 'Rationale',
		'Redressed, cursive' => 'Redressed',
		'Reenie Beanie, cursive' => 'Reenie Beanie',
		'Revalia, cursive' => 'Revalia',
		'Ribeye, cursive' => 'Ribeye',
		'Ribeye Marrow, cursive' => 'Ribeye Marrow',
		'Righteous, cursive' => 'Righteous',
		'Risque, cursive' => 'Risque',
		'Rochester, cursive' => 'Rochester',
		'Rock Salt, cursive' => 'Rock Salt',
		'Rokkitt, serif' => 'Rokkit',
		'Romanesco, cursive' => 'Romanesco',
		'Ropa Sans, sans-serif' => 'Ropa Sans',
		'Rosario, sans-serif' => 'Rosario',
		'Rosarivo, serif' => 'Rosarivo',
		'Rouge Script, cursive' => 'Rouge Script',
		'Ruda, sans-serif' => 'Ruda',
		'Rufina, serif' => 'Rufina',
		'Ruge Boogie, cursive' => 'Ruge Boogie',
		'Ruluko, sans-serif' => 'Ruluko',
		'Rum Raisin, sans-serif' => 'Rum Raisin',
		'Ruslan Display, cursive' => 'Ruslan Display',
		'Russo One, sans-serif' => 'Russo One',
		'Ruthie, cursive' => 'Ruthie',
		'Rye, cursive' => 'Rye',
		'Sacramento, cursive' => 'Sacramento',
		'Sail, cursive' => 'Sail',
		'Salsa, cursive' => 'Salsa',
		'Sanchez, serif' => 'Sanchez',
		'Sancreek, cursive' => 'Sancreek',
		'Sansita One, cursive' => 'Sansita One',
		'Sarina, cursive' => 'Sarina',
		'Satisfy, cursive' => 'Satisfy',
		'Scada, sans-serif' => 'Scada',
		'Schoolbell, cursive' => 'Schoolbell',
		'Seaweed Script, cursive' => 'Seaweed Script',
		'Sevillana, cursive' => 'Sevillana',
		'Seymour One, sans-serif' => 'Seymour One',
		'Shadows Into Light, cursive' => 'Shadows Into Light',
		'Shadows Into Light Two, cursive' => 'Shadows Into Light Two',
		'Shanti, sans-serif' => 'Shanti',
		'Share, cursive' => 'Share',
		'Share Tech, sans-serif' => 'Share Tech',
		'Share Tech Mono, sans-serif' => 'Share Tech Mono',
		'Shojumaru, cursive' => 'Shojumaru',
		'Short Stack, cursive' => 'Short Stack',
		'Sigmar One, cursive' => 'Sigmar One',
		'Signika, sans-serif' => 'Signika',
		'Signika Negative, sans-serif' => 'Signika Negative',
		'Simonetta, cursive' => 'Simonetta',
		'Sirin Stencil, cursive' => 'Sirin Stencil',
		'Six Caps, sans-serif' => 'Six Caps',
		'Skranji, cursive' => 'Skranji',
		'Slackey, cursive' => 'Slackey',
		'Smokum, cursive' => 'Smokum',
		'Smythe, cursive' => 'Smythe',
		'Sniglet, cursive' => 'Sniglet',
		'Snippet, sans-serif' => 'Snippet',
		'Snowburst One, cursive' => 'Snowburst One',
		'Sofadi One, cursive' => 'Sofadi One',
		'Sofia, cursive' => 'Sofia',
		'Sonsie One, cursive' => 'Sonsie One',
		'Sorts Mill Goudy, serif' => 'Sorts Mill Goudy',
		'Source Code Pro, sans-serif' => 'Source Code Pro',
		'Source Sans Pro, sans-serif' => 'Source Sans Pro',
		'Special Elite, cursive' => 'Special Elite',
		'Spicy Rice, cursive' => 'Spicy Rice',
		'Spinnaker, sans-serif' => 'Spinnaker',
		'Spirax, cursive' => 'Spirax',
		'Squada One, cursive' => 'Squada One',
		'Stalemate, cursive' => 'Stalemate',
		'Stalinist One, cursive' => 'Stalinist One',
		'Stardos Stencil, cursive' => 'Stardos Stencil',
		'Stint Ultra Condensed, cursive' => 'Stint Ultra Condensed',
		'Stint Ultra Expanded, cursive' => 'Stint Ultra Expanded',
		'Stoke, serif' => 'Stoke',
		'Strait, sans-serif' => 'Strait',
		'Sue Ellen Francisco, cursive' => 'Sue Ellen Francisco',
		'Sunshiney, cursive' => 'Sunshiney',
		'Supermercado One, cursive' => 'Supermercado One',
		'Swanky and Moo Moo, cursive' => 'Swanky and Moo Moo',
		'Syncopate, sans-serif' => 'Syncopate',
		'Tangerine, cursive' => 'Tangerine',
		'Telex, sans-serif' => 'Telex',
		'Tenor Sans, sans-serif' => 'Tenor Sans',
		'Text Me One, sans-serif' => 'Text Me One',
		'The Girl Next Door, cursive' => 'The Girl Next Door',
		'Tienne, serif' => 'Tienne',
		'Tinos, serif' => 'Tinos',
		'Titan One, cursive' => 'Titan One',
		'Titillium Web, sans-serif' => 'Titillium Web',
		'Trade Winds, cursive' => 'Trade Winds',
		'Trocchi, serif' => 'Trocchi',
		'Trochut, cursive' => 'Trochut',
		'Trykker, serif' => 'Trykker',
		'Tulpen One, cursive' => 'Tulpen One',
		'Ubuntu, sans-serif' => 'Ubuntu',
		'Ubuntu Condensed, sans-serif' => 'Ubuntu Condensed',
		'Ubuntu Mono, sans-serif' => 'Ubuntu Mono',
		'Ultra, serif' => 'Ultra',
		'Uncial Antiqua, cursive' => 'Uncial Antiqua',
		'Underdog, cursive' => 'Underdog',
		'Unica One, cursive' => 'Unica One',
		'UnifrakturCook, cursive' => 'UnifrakturCook',
		'UnifrakturMaguntia, cursive' => 'UnifrakturMaguntia',
		'Unkempt, cursive' => 'Unkempt',
		'Unlock, cursive' => 'Unlock',
		'Unna, serif' => 'Unna',
		'VT323, cursive' => 'VT323',
		'Vampiro One, cursive' => 'Vampiro One',
		'Varela, sans-serif' => 'Varela',
		'Varela Round, sans-serif' => 'Varela Round',
		'Vast Shadow, cursive' => 'Vast Shadow',
		'Vibur, cursive' => 'Vibur',
		'Vidaloka, serif' => 'Vidaloka',
		'Viga, sans-serif' => 'Viga',
		'Voces, cursive' => 'Voces',
		'Volkhov, serif' => 'Volkhov',
		'Vollkorn, serif' => 'Vollkorn',
		'Voltaire, sans-serif' => 'Voltaire',
		'Waiting for the Sunrise, cursive' => 'Waiting for the Sunrise',
		'Wallpoet, cursive' => 'Wallpoet',
		'Walter Turncoat, cursive' => 'Walter Turncoat',
		'Warnes, cursive' => 'Warnes',
		'Wellfleet, cursive' => 'Wellfleet',
		'Wendy One, sans-serif' => 'Wendy One',
		'Wire One, sans-serif' => 'Wire One',
		'Yanone Kaffeesatz, sans-serif' => 'Yanone Kaffeesatz',
		'Yellowtail, cursive' => 'Yellowtail',
		'Yeseva One, cursive' => 'Yeseva One',
		'Yesteryear, cursive' => 'Yesteryear',
		'Zeyada, cursive' => 'Zeyada'
	);
	return $google_faces;
}

/* 
 * Outputs the selected option panel styles inline into the <head>
 */
 
function creer_typography_styles() {
 	
 	// It's helpful to include an option to disable styles.  If this is selected
 	// no inline styles will be outputted into the <head>
 	
 	if ( !creer_get_option( 'disable_styles' ) ) {
		$output = '';
		$input = '';
		
		if ( creer_get_option( 'body_font' ) ) {
			$output .= creer_typography_font_styles( creer_get_option( 'body_font' ) , 'body');
		}
		
		if ( creer_get_option( 'site_title_font' ) ) {
			$output .= creer_typography_font_styles( creer_get_option( 'site_title_font' ) , '#site-title');
		}
		
		if ( creer_get_option( 'header_font' ) ) {
			$output .= creer_typography_font_styles( creer_get_option( 'header_font' ) , 'h1,h2,h3,h4,h5,h6');
		}
		
		if ( creer_get_option( 'link_color' ) ) {
			$output .= 'a {color:' . creer_get_option( 'link_color' ) . '}';
		}
		
		if ( creer_get_option( 'link_hover_color' ) ) {
			$output .= 'a:hover {color:' . creer_get_option( 'link_hover_color' ) . '}';
		}
		
		if ( creer_get_option( 'google_mixed' ) ) {
			$input = creer_get_option( 'google_mixed' );
			$output .= creer_typography_font_styles( creer_get_option( 'google_mixed' ) , 'body,input[type="submit"]');
		}
		
		if ( creer_get_option( 'google_mixed_1' ) ) {
			$input = creer_get_option( 'google_mixed_1' );
			$output .= creer_typography_font_styles( creer_get_option( 'google_mixed_1' ) , 'h1,h2,h3,h4,h5,h6,.h1,.h2,.h3,.h4,.h5,.h6,h1 a,.h2 a,.entry-title a');
		}
		
		if ( creer_get_option( 'google_mixed_2' ) ) {
			$input = creer_get_option( 'google_mixed_2' );
			$output .= creer_typography_font_styles( creer_get_option( 'google_mixed_2' ) , '.logo h1 a');
		}
		
		if ( $output != '' ) {
			$output = "\n<style>\n" . $output . "</style>\n";
			echo $output;
		}
	}
}
add_action('wp_head', 'creer_typography_styles');

/* 
 * Returns a typography option in a format that can be outputted as inline CSS
 */
 
function creer_typography_font_styles($option, $selectors) {
		$output = $selectors . ' {';
		$output .= 'font-family:' . $option['face'] . '; ';
		$output .= ' color:' . $option['color'] .'; ';
		$output .= '}';
		$output .= "\n";
		return $output;
}

/**
 * Checks font options to see if a Google font is selected.
 * If so, options_typography_enqueue_google_font is called to enqueue the font.
 * Ensures that each Google font is only enqueued once.
 */
 
if ( !function_exists( 'creer_typography_google_fonts' ) ) {
	function creer_typography_google_fonts() {
		$all_google_fonts = array_keys( creer_typography_get_google_fonts() );
		// Define all the options that possibly have a unique Google font
		$google_font = creer_get_option('google_font', 'Rokkitt, serif');
		$google_mixed = creer_get_option('google_mixed', '"Helvetica Neue", Helvetica, sans-serif');
		$google_mixed_1 = creer_get_option('google_mixed_1', '"Helvetica Neue", Helvetica, sans-serif');
		$google_mixed_2 = creer_get_option('google_mixed_2', '"Helvetica Neue", Helvetica, sans-serif');
		// Get the font face for each option and put it in an array
		$selected_fonts = array(
			$google_mixed['face'],
			$google_mixed_1['face'],
			$google_mixed_2['face'] );
		// Remove any duplicates in the list
		$selected_fonts = array_unique($selected_fonts);
		// Check each of the unique fonts against the defined Google fonts
		// If it is a Google font, go ahead and call the function to enqueue it
		foreach ( $selected_fonts as $font ) {
			if ( in_array( $font, $all_google_fonts ) ) {
				creer_typography_enqueue_google_font($font);
			}
		}
	}
}

add_action( 'wp_enqueue_scripts', 'creer_typography_google_fonts' );

/**
 * Enqueues the Google $font that is passed
 */
 
function creer_typography_enqueue_google_font($font) {
	$font = explode(',', $font);
	$font = $font[0];
	// Certain Google fonts need slight tweaks in order to load properly
	// Like our friend "Raleway"
	if ( $font == 'Raleway' )
		$font = 'Raleway:100';
	$font = str_replace(" ", "+", $font);
	wp_enqueue_style( "creer_typography_$font", "http://fonts.googleapis.com/css?family=$font", false, null, 'all' );
}