<?php

/* Crer 125 Ads Widget
-------------------------------------------------------------- */

class creer_about extends WP_Widget {

	function creer_about() {
		$widget_ops = array (
			'classname' => 'creer_about_Widget',
			'description' => __('A widget to display author info', 'creerthemes')
		);
		
		$control_ops = array( 'width' => 250, 'height' => 350, 'id_base' => 'creer-about-widget' );
		$this->WP_Widget( 'creer-about-widget', __('Cr&#233;er - About', 'creerthemes'), $widget_ops, $control_ops );
	}
	
	function widget( $args, $instance ) {
		extract( $args );

		$title = apply_filters('widget_title', $instance['title'] );
		$image = $instance['image'];
		$bio = $instance['bio'];
		$more = $instance['more'];
		$link = $instance['link'];
				
			echo $before_widget;
			echo $before_title;
			echo $title ; 
			echo $after_title; ?>
			<div class="author-avatar">
				<image alt="" src="<?php echo $image; ?>">
			</div>
			<div class="author-description">
			<?php echo $bio; ?>
			<p><a href="<?php echo $link; ?>"><?php echo $more; ?>&nbsp;<i class="icon-angle-right"></i></a></p>
			</div><div class="clear"></div>
			<?php
			echo $after_widget;
		
		
	}

	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['image'] = $new_instance['image'] ;
		$instance['bio'] = $new_instance['bio'] ;
		$instance['more'] = $new_instance['more'] ;
		$instance['link'] = $new_instance['link'] ;

		return $instance;
	}

	function form( $instance ) {
		$instance = wp_parse_args( (array) $instance ); ?>

		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', 'creerthemes') ?></label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" class="widefat" type="text" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'image' ); ?>"><?php _e('Image:', 'creerthemes') ?></label>
			<input id="<?php echo $this->get_field_id( 'image' ); ?>" name="<?php echo $this->get_field_name( 'image' ); ?>" value="<?php echo $instance['image']; ?>" class="widefat" type="text" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'bio' ); ?>"><?php _e('Bio:', 'creerthemes') ?></label>
			<textarea rows="10" id="<?php echo $this->get_field_id( 'bio' ); ?>" name="<?php echo $this->get_field_name( 'bio' ); ?>" class="widefat" ><?php echo $instance['bio']; ?></textarea>
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'more' ); ?>"><?php _e('Read more text:', 'creerthemes') ?></label>
			<input id="<?php echo $this->get_field_id( 'more' ); ?>" name="<?php echo $this->get_field_name( 'more' ); ?>" value="<?php echo $instance['more']; ?>" class="widefat" type="text" />
		</p>		
		<p>
			<label for="<?php echo $this->get_field_id( 'link' ); ?>"><?php _e('Read more url:', 'creerthemes') ?></label>
			<input id="<?php echo $this->get_field_id( 'link' ); ?>" name="<?php echo $this->get_field_name( 'link' ); ?>" value="<?php echo $instance['link']; ?>" class="widefat" type="text" />
		</p>

	<?php
	}
}

add_action( 'widgets_init', 'creer_about_widget' );

function creer_about_widget() {
	register_widget( 'creer_about' );
}
?>