<?php

/* Crer Dribbble Widget
-------------------------------------------------------------- */

class creer_dribbble extends WP_Widget {
	
	function creer_dribbble(){
		
		$widget_ops = array('classname' => 'widget_dribbble clearfix', 'description' => __('Display your latest Dribbble shots', 'creerthemes'));
		$this -> WP_Widget('creer-dribbble', __('Cr&#233;er - Dribbble', 'creerthemes'), $widget_ops);
		
	}
	
	function widget($args, $instance) {
		
		extract($args);
		
		$title = apply_filters('widget_title', $instance['title']);
		
		if (empty($title)) $title = false;
		
		$username = (isset($instance['username'])) ? urlencode($instance['username']) : '';
		
		if (empty($username)) return;
		
		$number = (isset($instance['number'])) ? absint($instance['number']) : '';
		
		$total = 0;
		
		echo '
'.$before_widget.'
	';
		
		if ($title) {
			
			echo $before_title;
			echo $title;
			echo $after_title;
			
		}
		
		include_once(ABSPATH.WPINC.'/feed.php');
		
		$dribbble_feed_url = "http://dribbble.com/$username/shots.rss";
		
		$transients = get_option('creer_dribbble_transients');
		$transients[] = $args['widget_id'];
		update_option('creer_dribbble_transients', array_unique($transients));
		
		$cache = get_transient($args['widget_id']);
		
		if ($cache) {
			
			echo $cache;
			return;
			
		} else {
			
			$feed = fetch_feed($dribbble_feed_url);
			
		}
		
		if (!is_wp_error($feed)) {
			
			$total = $feed -> get_item_quantity($number);
			$items = $feed -> get_items(0, $total);
			
		}
		
		ob_start();
		
		if ($total == 0) : 
			
			echo '<p>'.__('This Dribble feed is either empty or unavailable. Please check back later.', 'creerthemes').'</p>';
			
		else : 
?>

	<ul class="creer_thumbnail_list">
<?php		
			foreach($items as $item) : 
				
				$author = $item -> get_author();
				$text = $item -> get_title();
				$link = $item -> get_permalink();
				$time = $item -> get_date('d F, Y');
				$description = $item -> get_description();
				
				preg_match("/src=\"(http.*(jpg|jpeg|gif|png))/", $description, $image_url);
				$image = $image_url[1];
?>
		<li>
<?php
				if ($image) : 
?>
			<div class="creer_image">
				<div class="creer_image_wrapper">
					<a href="<?php echo $link; ?>" title="<?php echo $text; ?>" rel="external nofollow">
						<img src="<?php echo $image; ?>" />
					</a>
				</div>
			</div>

<?php
				endif;
?>	
		</li>
<?php
			endforeach;
?>
	</ul>
<?php			
		endif;

		echo $after_widget.'

';
		
		set_transient($args['widget_id'], ob_get_flush(), 3600);
		
	}
	
	function update($new_instance, $old_instance) {
		
		$instance = $old_instance;
		
		$instance['title'] = strip_tags($new_instance['title']);
		$instance['username'] = $new_instance['username'];
		$instance['number'] = absint($new_instance['number']);
		
		$transients = get_option('creer_dribbble_transients');
		
		foreach ($transients as $transient) {
			
			delete_transient($transient);
			
		}
		
		return $instance;
		
	}
	
	function form($instance) {
		
		$title = isset($instance['title']) ? esc_attr($instance['title']) : '';
		$username = (isset($instance['username'])) ? $instance['username'] : '';
		$number = (isset($instance['number'])) ? absint($instance['number']) : '';
?>
		<p><label for="<?php echo $this -> get_field_id('title'); ?>"><?php _e('Title:', 'creerthemes'); ?></label>
		<input class="widefat" id="<?php echo $this -> get_field_id('title'); ?>" name="<?php echo $this -> get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" /></p>
		
		<p><label for="<?php echo $this -> get_field_id('username'); ?>"><?php _e('Username:', 'creerthemes'); ?></label>
		<input class="widefat" id="<?php echo $this -> get_field_id('username'); ?>" name="<?php echo $this -> get_field_name('username'); ?>" type="text" value="<?php echo $username; ?>" /></p>
		
		<p><label for="<?php echo $this -> get_field_id('number'); ?>"><?php _e('Number of shots:', 'creerthemes'); ?></label>
		<input class="widefat" id="<?php echo $this -> get_field_id('number'); ?>" name="<?php echo $this -> get_field_name('number'); ?>" type="text" value="<?php echo $number; ?>" /></p>
<?php
	}
	
}

function creer_widgets_dribbble() {
	
	register_widget('creer_dribbble');
	
}

add_action('widgets_init', 'creer_widgets_dribbble');

?>