<?php

/* Crer Video Widget
-------------------------------------------------------------- */

class creer_video extends WP_Widget {
	
	function creer_video() {

		$widget_ops = array(
			'classname' => 'creer_video',
			'description' => __('Display a YouTube or Vimeo video', 'creerthemes')
		);

		$control_ops = array(
			'width' => 250,
			'height' => 250,
			'id_base' => 'creer_video'
		);

		$this->WP_Widget( 'creer_video', __('Cr&#233;er - Video', 'creerthemes'), $widget_ops, $control_ops );
	
	}
	
	function widget( $args, $instance ) {
		extract( $args );

		$title = apply_filters('widget_title', $instance['title'] );
		$embed = $instance['embed'];
		$desc = $instance['desc'];

		echo $before_widget;

		if ( $title )
			echo $before_title . $title . $after_title;

		?>
		
			<div class="creerthemes_video">
				<?php echo $embed ?>
			</div>
			<?php if ( $desc ) { echo '<p class="creerthemes_video_desc">' . $desc . '</p>'; } ?>
	
			<?php

				echo $after_widget;
	
			}

	
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		$instance['title'] = strip_tags( $new_instance['title'] );
	
		$instance['desc'] = stripslashes( $new_instance['desc']);
		$instance['embed'] = stripslashes( $new_instance['embed']);

		return $instance;
	}

	
	function form( $instance ) {
	
	$instance = wp_parse_args( (array) $instance ); ?>

	<p>
		<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', 'creerthemes') ?></label>
		<input class="widefat" type="text" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" />
	</p>
 	
	<p>
		<label for="<?php echo $this->get_field_id( 'desc' ); ?>"><?php _e('Description (optional):', 'creerthemes') ?></label>
		<textarea style="height:100px;" class="widefat" id="<?php echo $this->get_field_id( 'desc' ); ?>" name="<?php echo $this->get_field_name( 'desc' ); ?>"><?php echo stripslashes(htmlspecialchars(( $instance['desc'] ), ENT_QUOTES)); ?></textarea>
	</p>
	
	<p>
		<label for="<?php echo $this->get_field_id( 'embed' ); ?>"><?php _e('Embed Code:', 'creerthemes') ?></label>
		<textarea style="height:100px;" class="widefat" id="<?php echo $this->get_field_id( 'embed' ); ?>" name="<?php echo $this->get_field_name( 'embed' ); ?>"><?php echo stripslashes(htmlspecialchars(( $instance['embed'] ), ENT_QUOTES)); ?></textarea>
	</p>
 		
	<?php
	}
}

register_widget( 'creer_video' );
?>