<?php
/*
Template Name: Contact
*/
?>

<?php
if(isset($_POST['submitted'])) {

	if(trim($_POST['contactName']) === '') {
		$nameError = 'Please enter your name.';
		$hasError = true;
	} else {
		$name = trim($_POST['contactName']);
	}

	if(trim($_POST['email']) === '')  {
		$emailError = 'Please enter your email address.';
		$hasError = true;
	} else if (!eregi("^[A-Z0-9._%-]+@[A-Z0-9._%-]+\.[A-Z]{2,4}$", trim($_POST['email']))) {
		$emailError = 'You entered an invalid email address.';
		$hasError = true;
	} else {
		$email = trim($_POST['email']);
	}

	if(trim($_POST['comments']) === '') {
		$commentError = 'Please enter a message.';
		$hasError = true;
	} else {
		if(function_exists('stripslashes')) {
			$comments = stripslashes(trim($_POST['comments']));
		} else {
			$comments = trim($_POST['comments']);
		}
	}

	if(!isset($hasError)) {
		$emailTo = creer_get_option('contact_email');
		if (!isset($emailTo) || ($emailTo == '') ){
			$emailTo = get_option('admin_email');
		}
		$subject = 'Contact Form Submission From '.$name;
		$body = "Name: $name \n\nEmail: $email \n\nComments: $comments";
		$headers = 'From: '.$name.' <'.$emailTo.'>' . "\r\n" . 'Reply-To: ' . $email;

		mail($emailTo, $subject, $body, $headers);
		$emailSent = true;
	}

} ?>

<?php get_header(); ?>
			
			<div id="content">
			
				<div id="inner-content" class="wrap clearfix">
			
				    <div id="main" class="eightcol first clearfix" role="main">

					    <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
					
					    <article id="post-<?php the_ID(); ?>" <?php post_class('clearfix'); ?> role="article" itemscope itemtype="http://schema.org/BlogPosting">
						
						    <header class="article-header">
							
							    <h1 class="page-title" itemprop="headline"><?php the_title(); ?></h1>
						
						    </header>
					
						    <section class="entry-content clearfix" itemprop="articleBody">

							    <?php the_content(); ?>

							    <?php if ( creer_get_option('contact_area_showhidden') ) { ?>
							    <div class="address">
							    	<address>
							    	<?php if ( creer_get_option('contact_title_text_hidden') ) { ?>
								    	<strong><?php echo creer_get_option('contact_title_text_hidden'); ?></strong><br/>
								    <?php } ?>
								    <?php if ( creer_get_option('contact_ad_text_hidden') ) { ?>	
								    	<?php echo creer_get_option('contact_ad_text_hidden'); ?><br/><br/>
								    <?php } ?>	
								    <?php if ( creer_get_option('contact_tel_text_hidden') ) { ?>
								    	<abbr title="Phone">P:</abbr> <?php echo creer_get_option('contact_tel_text_hidden'); ?><br/>
								    <?php } ?>	
								    <?php if ( creer_get_option('contact_fax_text_hidden') ) { ?>	
								    	<abbr title="Fax">F:</abbr> <?php echo creer_get_option('contact_fax_text_hidden'); ?>
								    <?php } ?>	
								    </address>
								    
								    <?php if ( creer_get_option('contact_email_text_hidden') ) { ?>	
								    <address>
								    		<?php _e("Email:", "creerthemes"); ?> <a href="mailto:<?php echo creer_get_option('contact_email_text_hidden'); ?>"><?php echo creer_get_option('contact_email_text_hidden'); ?></a>
								    </address>
								    <?php } ?>
							    </div>
							    <?php } ?>
							</section>
							
						    <footer class="article-footer">
						    
						    	<?php if(isset($emailSent) && $emailSent == true) { ?>
									<div class="alert alert-success">
										<p><?php _e("Thanks, your email was sent successfully!", "creerthemes"); ?></p>
									</div>
						
								<?php } else { ?>
																	
								<?php if(isset($hasError) || isset($captchaError)) { ?>
									<div class="alert alert-error">	
										<p><?php _e("Sorry, an error occured", "creerthemes"); ?></p>
									</div>
								<?php } ?>
							
								<form action="<?php the_permalink(); ?>" id="contactForm" method="post">
									
									<ul class="contactform">
							
										<li>
											<p>
											<input type="text" name="contactName" placeholder="<?php _e('Name', 'creerthemes'); ?>" id="contactName" value="<?php if(isset($_POST['contactName'])) echo $_POST['contactName'];?>" class="required requiredField" />
								
											<?php if($nameError != '') { ?>
												<span class="error">&nbsp;<i class="icon-warning-sign"></i>&nbsp;<span class="error-text"><?php echo$nameError;?></span></span>
											<?php } ?>
											</p>
										</li>

										<li>
											<p>
											<input type="text" name="email" placeholder="<?php _e('Email', 'creerthemes'); ?>" id="email" value="<?php if(isset($_POST['email']))  echo $_POST['email'];?>" class="required requiredField email" />
											<?php if($emailError != '') { ?>
												<span class="error">&nbsp;<i class="icon-warning-sign"></i>&nbsp;<span class="error-text"><?php echo$emailError;?></span></span>
											<?php } ?>
											</p>
										</li>
										
										<li>
											<p>
											<textarea name="comments" id="commentsText" placeholder="<?php _e('Your Message...', 'creerthemes'); ?>" rows="10" class="required requiredField"><?php if(isset($_POST['comments'])) { if(function_exists('stripslashes')) { echo stripslashes($_POST['comments']); } else { echo $_POST['comments']; } } ?></textarea>
								
											<?php if($commentError != '') { ?>
												<span class="error">&nbsp;<i class="icon-warning-sign"></i>&nbsp;<span class="error-text"><?php echo$commentError;?></span></span>
											<?php } ?>
											</p>
										</li>

										<li>
											<p><input type="submit"></input></p>
										</li>
										
								</ul>
						
								<input type="hidden" name="submitted" id="submitted" value="true" />
								
								</form>
								
								<?php } ?>
							    
						    </footer>
						    					
					    </article>
					
					    <?php endwhile; else : ?>
					
    					    <article id="post-not-found" class="hentry clearfix">
    						    <header class="article-header">
    							    <h1><?php _e("Page Not Found!", "creerthemes"); ?></h1>
    					    	</header>
    						    <section class="entry-content">
    							    <p><?php _e("Sorry, the page you're looking for isn't here.", "creerthemes"); ?></p>
        						</section>
    	    					<footer class="article-footer"></footer>
    				    	</article>
					
					    <?php endif; ?>
			
 					    </div>

 				    <?php get_sidebar(); ?>
   				    
				</div>
				    
			</div>

<?php get_footer(); ?>