<?php
/*
Template Name: Sitemap
*/
?>

<?php get_header(); ?>
			
			<div id="content">
			
				<div id="inner-content" class="wrap clearfix">
			
				    <div id="main" class="twelvecol first clearfix" role="main">

					    <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
					
					    <article id="post-<?php the_ID(); ?>" <?php post_class('clearfix'); ?> role="article" itemscope itemtype="http://schema.org/BlogPosting">
						
						    <header class="article-header">
							
							    <h1 class="page-title" itemprop="headline"><?php the_title(); ?></h1>
													
						    </header>
					
						    <section class="entry-content clearfix" itemprop="articleBody">
						    
							    <?php the_content(); ?>
							
							</section>
																			
						    <footer class="article-footer">	
						    
	                            <div class="fourcol first clearfix">
									<h3><?php _e("Pages", "creerthemes"); ?></h3>
                            			<ul><?php wp_list_pages("title_li=" ); ?></ul>
	                            </div>		
                            									    
								<div class="fourcol clearfix">
									<h3><?php _e("Posts", "creerthemes"); ?></h3>
	                            		<ul><?php $archive_query = new WP_Query('showposts=1000&cat=-8');
		                            		while ($archive_query->have_posts()) : $archive_query->the_post(); ?>
		                            		<li>
	                                            <a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a>
	                                            (<?php comments_number('0', '1', '%'); ?>)
	                                        </li>
	                                            <?php endwhile; ?>
	                                    </ul>
	                            </div>
							
	                            <div class="fourcol last clearfix">
                                	<h3><?php _e("Archives", "creerthemes"); ?></h3>
                                		<ul>
	                                		<?php wp_get_archives('type=monthly&show_post_count=true'); ?>
	                                	</ul>
                                	<h3><?php _e("Categories", "creerthemes"); ?></h3>
                                		<ul><?php wp_list_categories('sort_column=name&optioncount=1&hierarchical=0&feed=RSS'); ?></ul>
                            		<h3>Feeds</h3>
                            			<ul>
                                			<li><a title="Full content" href="feed:<?php bloginfo('rss2_url'); ?>"><?php _e("Main RSS", "creerthemes"); ?></a></li>
                                			<li><a title="Comment Feed" href="feed:<?php bloginfo('comments_rss2_url'); ?>"><?php _e("Comments RSS", "creerthemes"); ?></a></li>
                                		</ul>
                                	<h3><?php _e("Tags", "creerthemes"); ?></h3>
                                		<ul id="sitemap-tags">
	                                		<?php $tags = get_tags();
		                                		if ($tags) {
			                                		foreach ($tags as $tag) {
				                                	echo '<li><a href="' . get_tag_link( $tag->term_id ) . '">' . $tag->name . '</a></li> ';
				                                }
				                             } ?>
				                        </ul>
	                            </div>	
	                            	
	                            	<br/>
	                            	<br/>
	                            	
						    </footer>
						    					
					    </article>
					
					    <?php endwhile; else : ?>
					
    					    <article id="post-not-found" class="hentry clearfix">
    						    <header class="article-header">
    							    <h1><?php _e("Page Not Found!", "creerthemes"); ?></h1>
    					    	</header>
    						    <section class="entry-content">
    							    <p><?php _e("Sorry, the page you're looking for isn't here.", "creerthemes"); ?></p>
        						</section>
    	    					<footer class="article-footer"></footer>
    				    	</article>
					
					    <?php endif; ?>
			
    				</div>
    				    
				</div>
    
			</div>

<?php get_footer(); ?>